Package: org.codehaus.groovy.ast.expr

## [Java] Class PostfixExpression

- org.codehaus.groovy.ast.expr.PostfixExpression

-     public class PostfixExpression
      extends Expression

  Represents a postfix expression like foo++ or bar++

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PostfixExpression(Expression expression, Token operation)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `getExpression()`
    `` | `public Token` | `getOperation()`
    `` | `public String` | `getText()`
    `` | `public ClassNode` | `getType()`
    `` | `public void` | `setExpression(Expression expression)`
    `` | `public String` | `toString()`
    `` | `public Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public PostfixExpression(Expression expression, Token operation)

  - ### Method Detail

    - #### public Expression getExpression()

    - #### public Token getOperation()

    - #### @Override
      public String getText()

    - #### @Override
      public ClassNode getType()

    - #### public void setExpression(Expression expression)

    - #### @Override
      public String toString()

    - #### @Override
      public Expression transformExpression(ExpressionTransformer transformer)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)